for_each_n.hpp File Reference

## Functions

template<typename I , typename F , typename P = identity>
auto | ranges::for_each_n (I first, iter_difference_t< I > n, F fun, P proj=P{}) -> I requires input_iterator< I > &&indirectly_unary_invocable< F, projected< I, P >>
| function template `for_each_n`
template<typename Rng , typename F , typename P = identity>
auto | ranges::for_each_n (Rng &&rng, range_difference_t< Rng > n, F fun, P proj=P{}) -> safe_iterator_t< Rng > requires input_range< Rng > &&indirectly_unary_invocable< F, projected< iterator_t< Rng >, P >>